<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class Wiaas_Admin_Package {

	public static function init() {
		add_action( 'admin_enqueue_scripts', array(__CLASS__, 'enqueue_scripts'), 100 );

		require_once dirname( __FILE__ ) . '/package/class-wiaas-admin-linked-packages.php';
		require_once dirname( __FILE__ ) . '/package/class-wiaas-admin-package-types.php';
	}

	public static  function enqueue_scripts() {
		$plugin_url = untrailingslashit( plugins_url( '/', WIAAS_FILE ) );
		wp_enqueue_style( 'wiaas_admin_styles', $plugin_url . '/assets/css/package.css' );
	}
}

Wiaas_Admin_Package::init();